Bug 1956220 - Set htt proxy system properties as expected by kubernetes-client
Summary: Set htt proxy system properties as expected by kubernetes-client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 08:37 UTC by jawed
Modified: 2021-07-27 23:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:05:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1263 0 None open Bug 1956220: add proxy system properties as expected by kubernetes-client 2021-05-03 08:44:38 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:06:24 UTC

Description jawed 2021-05-03 08:37:00 UTC
Description of problem:
Proxy setting is not working on kubernetes plugin in jenkins, we need to set the right system property expected by the kubernetes-client, these system properties are expected in this format https://github.com/fabric8io/kubernetes-client/blob/master/kubernetes-client/src/main/java/io/fabric8/kubernetes/client/Config.java#L119
Also this Bz is related to https://github.com/fabric8io/kubernetes-client/pull/3000

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Jitendar Singh 2021-06-11 13:48:11 UTC

sh-4.4$ cat /var/lib/jenkins/plugins/kubernetes-client-api/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 4.13.3-1

Comment 6 errata-xmlrpc 2021-07-27 23:05:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.